On this page
No Headings
Last updated: June 12, 2026
Important: NVP/SOAP is a legacy integration method. We accept new integrations and support existing integrations, but there are newer solutions. If you're starting an integration, we recommend our latest solutions.
Shows the inventory levels and other inventory-related information for a button and menu items associated with the button.
Important:
The Button Manager API is deprecated. For new integrations, see the associated topic.
| Button | See |
|---|---|
| Buy Now | PayPal Checkout Overview |
| Add to Cart | Solution Providers |
| Donate | Create a Donate button |
| Automatic Billing Subscribe | Subscriptions Overview |
Typically, you call BMGetInventory to obtain field values before calling BMSetInventory to change the inventory levels.
The hosted button ID identifies the button for which to track inventory.
| Field | Description |
|---|---|
HostedButtonID | xs:string(Required) The ID of the hosted button whose inventory information you want to obtain. |
DigitalDownloadKeys | xs:string(Optional) One or more digital download keys, up to a maximum of 1,000 keys. Character length and limitations: 1,000 single-byte alphanumeric characters each. |
The response fields contain inventory information related to the button.
| Field | Description |
|---|---|
HostedButtonID | xs:stringThe ID of the hosted button whose inventory you want to set. |
TrackInv | xs:stringWhether to track inventory levels associated with the button. Value is:
|
TrackPnl | xs:stringWhether to track the gross profit associated with inventory changes. Value is:
Note: The gross profit is calculated as the price of the item less its cost, multiplied by the change in the inventory level since the last call to BMSetInventory. |
ebl:ItemTrackingDetailsItem tracking details for the button. | |
OptionIndex | xs:stringOption index, which identifies the button. Option index 0 is the menu that contains the price if one exists; otherwise, it is the first menu without a price. Character length and limitations: One single-byte alphanumeric character. |
ebl:OptionTrackingDetailsOption tracking details for menu items associated with the button. | |
SoldoutURL | xs:stringThe URL to which the buyer's browser is redirected when the inventory drops to 0 Note: A value in this field also prevents a sale when the inventory drops to 0; otherwise, sales can continue even when inventory is unavailable. |
| Field | Description |
|---|---|
ItemNumber | xs:stringThe ID for an item associated with this button |
ItemQty | xs:stringThe current inventory level of the item associated with this button |
ItemQtyDelta | xs:stringNot used |
ItemAlert | xs:stringThe quantity of the item associated with this button below which PayPal sends you an email notification |
ItemCost | xs:stringThe cost of the item associated with this button |
| Field | Description |
|---|---|
OptionNumber | xs:stringThe menu item's ID for an option in a drop-down menu |
OptionQty | xs:stringThe current inventory level of the option associated with this menu item |
OptionSelect | xs:stringThe menu item's name in a drop-down menu |
OptionQtyDelta | xs:stringNot used |
OptionAlert | xs:stringThe quantity of the option associated with this menu item below which PayPal sends you an email notification |
OptionCost | xs:stringThe cost of the option associated with this menu item |
| Error code | Short and long messages | User action |
|---|---|---|
| 10001 | Internal Error Internal Error | To learn more about possible causes and corrective actions, see What is API error code 10001?. |
| 11950 | Invalid Data A hosted button ID must be specified. | |
| 11951 | Invalid Argument The hosted button ID specified is invalid. | |
| 11953 | Invalid Data You can only track inventory and profit & loss for buy now, cart or subscription buttons. | |
| 11991 | Invalid Data The hosted button id specified does not have any inventory or cost associated with it. | |
| 11992 | Invalid Argument You do not have permissions to access this button. Please check the hosted button ID and try again. |